Subject: Re: Uninitialized value in __sk_nulls_add_node_rcu()

From: Eric Dumazet <[email-masked]>
Date: Tue, 05 Dec 2017 12:07:07 -0800

On Tue, 2017-12-05 at 14:39 -0500, Craig Gallek wrote:
> On Tue, Dec 5, 2017 at 9:18 AM, Eric Dumazet <[email-masked]>
> wrote:
> > On Tue, 2017-12-05 at 06:15 -0800, Eric Dumazet wrote:
> > > 
> > > +     hlist_nulls_add_head_rcu(&sk->sk_nulss_node, list);
> > 
> > Typo here, this needs sk_nulls_node of course.
> > 
> 
> Thanks Eric, this looks good to me.  The tail insertion is still
> required in udp_lib_get_port for the second layer hash, but not here.
> fwiw, reuseport_dualstack in the selftests directory verifies this
> behavior.  I tried it with your patch (it still passes) and removing
> the udp_lib_get_port path (to make sure it breaks when it should).
> 

Thanks for confirming this, I will send the official patch then ;)